<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
</script>
<template>
  <v-table>
    <thead>
      <tr style="background-color: rgba(253, 254, 254)">
        <th style="color: black; font-weight: bold">No.</th>
        <th style="color: black; font-weight: bold">Name</th>
        <th style="color: black; font-weight: bold">Price</th>
        <th style="color: black; font-weight: bold">Unit</th>
        <th style="color: black; font-weight: bold">Total</th>
        <th style="color: black; font-weight: bold">Operation</th>
      </tr>
    </thead>

    <tbody>
      <!-- using v-for like below will get item and index form the array -->
      <tr
        v-for="(item, index) of receiptStore.receiptItems"
        :key="item.id"
        :style="{
          backgroundColor: 'rgba(253, 254, 254)'
        }"
      >
        <td>{{ index + 1 }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-btn
            icon="mdi-minus"
            density="compact"
            class="mr-2"
            @click="() => receiptStore.dec(item)"
          >
          </v-btn>
          {{ item.unit }}
          <v-btn
            icon="mdi-plus"
            density="compact"
            class="ml-2"
            @click="() => receiptStore.inc(item)"
          >
          </v-btn>
        </td>
        <td>{{ item.price * item.unit }}</td>
        <td>
          <v-btn
            icon="mdi-delete"
            density="compact"
            @click="
              () => {
                receiptStore.removeReceiptItem(item)
              }
            "
          ></v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>

<style>
th {
  color: white;
}
</style>
